Bug 599615 - Current point is imprecise , causing wrong rendering of PS file
Current point is imprecise , causing wrong rendering of PS file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ghostscript (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tim Waugh
QE Internationalization Bugs
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 11:44 EDT by Olivier Fourdan
Modified: 2013-03-03 21:49 EST (History)
5 users (show)

See Also:
Fixed In Version: ghostscript-8.70-1.el5
Doc Type: Bug Fix
Doc Text:
A series of imprecise rounding may have caused some elements in a PostScript document to be wrongly positioned when rendered. This has been fixed, and Ghostscript now renders PostScript files correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (30.14 KB, patch)
2010-06-03 11:48 EDT, Olivier Fourdan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Ghostscript 687359 None None None Never
Red Hat Product Errata RHBA-2011:0137 normal SHIPPED_LIVE ghostscript bug fix and enhancement update 2011-01-12 14:26:44 EST

  None (edit)
Description Olivier Fourdan 2010-06-03 11:44:14 EDT
Description of problem:

An accumulation of rounding errors cause wrong rendring of PS files.

Version-Release number of selected component (if applicable):

ghostscript 8.15.2

How reproducible:

Always

Steps to Reproduce:

Open the attached sample PS file in gs

   $ gs -sDEVICE=x11 fig5.ps

Actual results:

The points and circles on the right of the image are misaligned

Expected results:

The points and circles should be aligned

Additional info:

This is upstream bug 687359, proposed patch to follow.
Comment 4 Olivier Fourdan 2010-06-03 11:48:16 EDT
Created attachment 419426 [details]
Proposed patch

Backport of fix for upsteam bug 687359

    http://bugs.ghostscript.com/show_bug.cgi?id=687359

From SVN revision 4887.
Comment 6 Jaromir Hradilek 2010-07-20 06:00:25 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
A series of imprecise rounding may have caused some elements in a PostScript document to be wrongly positioned when rendered. This has been fixed, and Ghostscript now renders PostScript files correctly.
Comment 11 errata-xmlrpc 2011-01-13 17:07:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0137.html

Note You need to log in before you can comment on or make changes to this bug.